Download it now!
Bug 52949 - EDITING: Report-Builder - Scroll in Datafields has no function
Summary: EDITING: Report-Builder - Scroll in Datafields has no function
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: lowest minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-30 09:40 UTC by Robert Großkopf
Modified: 2017-04-05 11:37 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Where to find mouse-wheel-scroll while editing a report (39.35 KB, image/png)
2012-08-31 17:16 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2012-07-30 09:40:35 UTC
While editing a report you could choose "Mouse Wheel scroll" in Text-Boxes as a property. Seems to be a property in forms. This couldn't have any functionality in a report, because the output of the fields is a writer- or a calc-document. You don't have any field in the output-document, which shows the report.
Put away this "property" could be the only solution I see.
Comment 1 Jochen 2012-08-30 06:56:09 UTC
@Robert
I can´t reproduce the single steps. Please list more details. Perhaps create 1 or 2 screenshot(s).
Comment 2 Robert Großkopf 2012-08-31 17:16:43 UTC
Created attachment 66411 [details]
Where to find mouse-wheel-scroll while editing a report

Show the place where to change mouse-wheel-scroll, when you open a report for editing. You could choose "Never", "When focused" and "Always". Standad is "When focused".
This property could not have any function. There are no data in a field, while there is text-box like a input-box in forms. When you execute the report there are shown data - and not data in a text-box or input-box.
Scrolling in text-boxes is used in forms for rotating fields - but there are no fields in an executed report.
Comment 3 Jochen 2012-08-31 17:25:04 UTC
I can confirm the bug.
Changed status to "NEW"
Changed Importance "high" and "major"
Comment 4 Alex Thurgood 2012-08-31 21:02:18 UTC
So, if I've understood this correctly, this cosmetic change for an available setting which currently does nothing and which never could is supposed to have major/high priority setting ?

I'm sorry, but I don't understand the rationale behind that, but hey, its not my call.

Alex
Comment 5 Jochen 2012-08-31 21:25:33 UTC
(In reply to comment #4)
> So, if I've understood this correctly, this cosmetic change for an available
> setting which currently does nothing and which never could is supposed to have
> major/high priority setting ?
> I'm sorry, but I don't understand the rationale behind that, but hey, its not
> my call.

There are different opinions. That´s life and normal.
My rationale have two reasons:
1) A "no function" is for me "high".
2) I want to make a presetting for the list of the bugreport with status "NEW" so that particular bug can be found.

Both reasons are subjective. Let us discuss or you decide to change the importance. Perhaps I push too vigorously.
Comment 6 Robert Großkopf 2012-09-01 08:01:04 UTC
@Alex
Yes, its only irritating, that there is a field for mouse-wheel-scrolling. There are many other things that are more important.
When we will eliminate such irritating fields the user would understand the report-builder a little bit better.
@Jochen
"High" and "Major" - I would use this, when there is a function which is a most used function in the report-builder and which wouldn't work any more. For this little bug we must only find somebody, to whom we could assign it. Only one field must be deleted in the properties of the fields of the report-builder.

Let's change this to "Medium" and "Normal".
Comment 7 Robert Großkopf 2013-08-07 15:48:03 UTC
Just testing all bugs from Report-Builder. This bug first appears in the oldest available version of LO, 3.3.0 beta1. So I set the first available bugzilla-version, 3.3.0 release.

Should be a good idea to put this function away from the menue. Couldn't work ever, as I understand.
Comment 8 Julien Nabet 2014-10-16 20:57:56 UTC
Robert: I don't see anymore this option on pc Debian x86-64 with 4.3.2 LO Debian package. Did I miss it or may we close this tracker?
Comment 9 Robert Großkopf 2014-10-17 07:48:39 UTC
(In reply to Julien Nabet from comment #8)
> Robert: I don't see anymore this option on pc Debian x86-64 with 4.3.2 LO
> Debian package. Did I miss it or may we close this tracker?

Hi Julien,

could see it here in LO 4.3.3.1. Open a report, click on a datafield of the report - it hasn't gone.

My system: OpenSUSE 12.3 64bit rpm Linux.
Comment 10 Julien Nabet 2014-10-17 21:00:23 UTC
Sorry Robert, I retested and you were right. I wonder how I could miss it first time.
Comment 11 Julien Nabet 2014-10-17 21:54:29 UTC
Robert: it seems report part uses generic form part. I mean there's no specific form part for report where Scroll could be disabled easily.

Caolan: Searching "RID_STR_WHEEL_BEHAVIOR" on Opengrok gives this:
extensions/source/propctrlr/formresid.hrc and formres.src
Before someone tries to find a way to make this option disappear only for report (personally I don't have a slight idea for this), should this "src" file and related be converted into .ui first?
Comment 12 Caolán McNamara 2014-10-20 16:01:48 UTC
caolanm->julien: they are all just "strings" and "string lists" in that .src so ourside the scope of widget conversion. Maybe we can move to gettext eventually and then drop the .src format, but for now they should stay the same as they are now
Comment 13 Alex Thurgood 2015-01-03 17:40:45 UTC Comment hidden (no-value)
Comment 14 QA Administrators 2016-01-17 20:03:53 UTC Comment hidden (obsolete)
Comment 15 Robert Großkopf 2016-01-28 19:37:48 UTC
Bug still exists with LO 5.1.0.2, OpenSUSE 42.1 Leap, 64bit rpm Linux.
Comment 16 Robert Großkopf 2016-03-06 08:11:09 UTC
Bug appears in the first available LO-version (LO 3.3.0.4, OpenSUSE 42.1 64bit rpm Linux). So I set this bug as "Inherited From OOo".
Comment 17 QA Administrators 2017-03-06 15:30:43 UTC Comment hidden (obsolete)
Comment 18 Robert Großkopf 2017-03-08 17:42:24 UTC
Bug still exists with LO 5.3.1.1, OpenSUSE 42.1 Leap, 64bit rpm Linux.
Comment 19 Commit Notification 2017-04-05 11:26:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=00ad779e71f4ae675d0bacf68d2f2fc62b6b26d5

Resolves: tdf#52949 don't show mouse wheel property in report designer

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.